searchData={"items":[{"type":"module","title":"EmailDoHChecker","doc":"`EmailDoHChecker` is a module to check the validity of email domains using DNS-over-HTTPS (DoH).\n\nIt allows verification of whether a domain resolves correctly or if it is being blocked by a DNS provider.","ref":"EmailDoHChecker.html"},{"type":"function","title":"EmailDoHChecker.valid?/2","doc":"Checks if a domain or email's domain is valid by querying the specified DNS-over-HTTPS server.","ref":"EmailDoHChecker.html#valid?/2"},{"type":"function","title":"Parameters - EmailDoHChecker.valid?/2","doc":"- `input`: The domain name or email address to check (e.g., \"example.com\" or \"user@example.com\").\n- `doh_server` (optional): The DoH server URL to use. Defaults to `https://dns.nextdns.io/`.","ref":"EmailDoHChecker.html#valid?/2-parameters"},{"type":"function","title":"Examples - EmailDoHChecker.valid?/2","doc":"iex> EmailDoHChecker.valid?(\"example.com\")\n    true\n\n    iex> EmailDoHChecker.valid?(\"user@example.com\", \"https://zero.dns0.eu/\")\n    true\n\n    iex> EmailDoHChecker.valid?(\"blocked@blocked.example\", \"https://zero.dns0.eu/\")\n    false","ref":"EmailDoHChecker.html#valid?/2-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}